/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2009, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.ws.jaxws.jbws2706;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.jboss.test.ws.jaxws.jbws2706 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _InputRequest_QNAME = new QName("http://SwaTestService.org/xsd", "InputRequest");
    private final static QName _OutputResponse_QNAME = new QName("http://SwaTestService.org/xsd", "OutputResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.jboss.test.ws.jaxws.jbws2706
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link OutputResponse }
     * 
     */
    public OutputResponse createOutputResponse() {
        return new OutputResponse();
    }

    /**
     * Create an instance of {@link InputRequest }
     * 
     */
    public InputRequest createInputRequest() {
        return new InputRequest();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InputRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://SwaTestService.org/xsd", name = "InputRequest")
    public JAXBElement<InputRequest> createInputRequest(InputRequest value) {
        return new JAXBElement<InputRequest>(_InputRequest_QNAME, InputRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://SwaTestService.org/xsd", name = "OutputResponse")
    public JAXBElement<OutputResponse> createOutputResponse(OutputResponse value) {
        return new JAXBElement<OutputResponse>(_OutputResponse_QNAME, OutputResponse.class, null, value);
    }

}
